NamedParameterSpecification (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.param
Class NamedParameterSpecification

    java.lang.Object
      org.hibernate.param.AbstractExplicitParameterSpecification
          org.hibernate.param.NamedParameterSpecification

All Implemented Interfaces:
  ExplicitParameterSpecification, ParameterSpecification

    public class NamedParameterSpecification

extends AbstractExplicitParameterSpecification
implements ParameterSpecification

Parameter bind specification for an explicit named parameter.

Constructor Summary
`NamedParameterSpecification(int sourceLine, int sourceColumn, String name)` Constructs a named parameter bind specification.

Method Summary
`int` | `bind(PreparedStatement statement, QueryParameters qp, SessionImplementor session, int position)` Bind the appropriate value into the given statement at the specified position.
`String` | `getName()` Getter for property 'name'.
`String` | `renderDisplayInfo()` Render this parameter into displayable info (for logging, etc).

Methods inherited from class org.hibernate.param.AbstractExplicitParameterSpecification
`getExpectedType, getSourceColumn, getSourceLine, setExpectedType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.param.ParameterSpecification
`getExpectedType, setExpectedType`

Constructor Detail

### NamedParameterSpecification

    public NamedParameterSpecification(int sourceLine,
                                       int sourceColumn,
                                       String name)

  Constructs a named parameter bind specification.

  Parameters:
    `sourceLine` - See `AbstractExplicitParameterSpecification.getSourceLine()`
    `sourceColumn` - See `AbstractExplicitParameterSpecification.getSourceColumn()`
    `name` - The named parameter name.

Method Detail

### bind

    public int bind(PreparedStatement statement,
                    QueryParameters qp,
                    SessionImplementor session,
                    int position)
             throws SQLException

  Bind the appropriate value into the given statement at the specified position.

  Specified by:
    `bind` in interface `ParameterSpecification`
  Parameters:
    `statement` - The statement into which the value should be bound.
    `qp` - The defined values for the current query execution.
    `session` - The session against which the current execution is occuring.
    `position` - The position from which to start binding value(s).
  Returns:
    The number of sql bind positions "eaten" by this bind operation.
  Throws:
    `SQLException` - Indicates problems performing the JDBC biind operation.

### renderDisplayInfo

    public String renderDisplayInfo()

  Render this parameter into displayable info (for logging, etc).

  Specified by:
    `renderDisplayInfo` in interface `ParameterSpecification`
  Returns:
    The displayable info.

### getName

    public String getName()

  Getter for property 'name'.

  Returns:
    Value for property 'name'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.